/mural | Type: Application | PCID required: Yes
Tools
mural_create_area
Create an area Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
muralId | string | Yes | — | The ID of the mural. |
height | number | No | — | Height of the area (default 503). |
hidden | boolean | No | — | Whether the area is hidden. |
layout | string | No | — | Layout mode for widgets inside the area. |
parentId | string | No | — | ID of the parent widget. |
showTitle | boolean | No | — | Whether to show the area title. |
stackingOrder | number | No | — | Stacking order. |
title | string | No | — | Title of the area. |
width | number | No | — | Width of the area (default 460). |
x | number | No | — | X coordinate position. |
y | number | No | — | Y coordinate position. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"muralId": {
"type": "string",
"description": "The ID of the mural."
},
"height": {
"type": "number",
"description": "Height of the area (default 503)."
},
"hidden": {
"type": "boolean",
"description": "Whether the area is hidden."
},
"layout": {
"type": "string",
"description": "Layout mode for widgets inside the area.",
"enum": [
"free",
"column",
"row"
]
},
"parentId": {
"type": "string",
"description": "ID of the parent widget."
},
"showTitle": {
"type": "boolean",
"description": "Whether to show the area title."
},
"stackingOrder": {
"type": "number",
"description": "Stacking order."
},
"title": {
"type": "string",
"description": "Title of the area."
},
"width": {
"type": "number",
"description": "Width of the area (default 460)."
},
"x": {
"type": "number",
"description": "X coordinate position."
},
"y": {
"type": "number",
"description": "Y coordinate position."
}
},
"required": [
"PCID",
"muralId"
]
}
mural_create_arrow
Create an arrow Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
muralId | string | Yes | — | The ID of the mural. |
endWidgetId | string | No | — | ID of the widget the arrow points to. |
height | number | No | — | Height of the widget. |
hidden | boolean | No | — | Whether hidden. |
points | object[] | No | — | Array of points defining the arrow path. |
stackingOrder | number | No | — | Stacking order. |
startWidgetId | string | No | — | ID of the widget the arrow starts from. |
style | object | No | — | The style value |
width | number | No | — | Width of the widget. |
x | number | No | — | X coordinate of the widget. |
y | number | No | — | Y coordinate of the widget. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"muralId": {
"type": "string",
"description": "The ID of the mural."
},
"endWidgetId": {
"type": "string",
"description": "ID of the widget the arrow points to."
},
"height": {
"type": "number",
"description": "Height of the widget."
},
"hidden": {
"type": "boolean",
"description": "Whether hidden."
},
"points": {
"type": "array",
"items": {
"type": "object",
"properties": {
"x": {
"type": "number",
"description": "X coordinate."
},
"y": {
"type": "number",
"description": "Y coordinate."
}
}
},
"description": "Array of points defining the arrow path."
},
"stackingOrder": {
"type": "number",
"description": "Stacking order."
},
"startWidgetId": {
"type": "string",
"description": "ID of the widget the arrow starts from."
},
"style": {
"type": "object",
"description": "The style value",
"properties": {
"color": {
"type": "string",
"description": "Arrow color (hex)."
},
"lineWidth": {
"type": "integer",
"description": "Line width."
},
"lineStyle": {
"type": "string",
"description": "Line style.",
"enum": [
"solid",
"dashed",
"dotted"
]
}
}
},
"width": {
"type": "number",
"description": "Width of the widget."
},
"x": {
"type": "number",
"description": "X coordinate of the widget."
},
"y": {
"type": "number",
"description": "Y coordinate of the widget."
}
},
"required": [
"PCID",
"muralId"
]
}
mural_create_comment
Create a comment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
muralId | string | Yes | — | The ID of the mural. |
hidden | boolean | No | — | Whether hidden. |
message | string | Yes | — | Comment text. |
stackingOrder | number | No | — | Stacking order. |
x | number | No | — | X coordinate. |
y | number | No | — | Y coordinate. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"muralId": {
"type": "string",
"description": "The ID of the mural."
},
"hidden": {
"type": "boolean",
"description": "Whether hidden."
},
"message": {
"type": "string",
"description": "Comment text."
},
"stackingOrder": {
"type": "number",
"description": "Stacking order."
},
"x": {
"type": "number",
"description": "X coordinate."
},
"y": {
"type": "number",
"description": "Y coordinate."
}
},
"required": [
"PCID",
"muralId",
"message"
]
}
mural_create_mural
Create a mural Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
backgroundColor | string | No | — | Background color of the mural (hex color code). |
height | integer | No | — | Height of the mural canvas in pixels (3000-60000). |
infinite | boolean | No | — | Whether the mural has an infinite canvas. |
roomId | integer | Yes | — | The ID of the room to create the mural in. |
templateId | string | No | — | Optional template ID to create the mural from. |
title | string | No | — | Title of the mural. |
width | integer | No | — | Width of the mural canvas in pixels (3000-60000). |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"backgroundColor": {
"type": "string",
"description": "Background color of the mural (hex color code)."
},
"height": {
"type": "integer",
"description": "Height of the mural canvas in pixels (3000-60000)."
},
"infinite": {
"type": "boolean",
"description": "Whether the mural has an infinite canvas."
},
"roomId": {
"type": "integer",
"description": "The ID of the room to create the mural in."
},
"templateId": {
"type": "string",
"description": "Optional template ID to create the mural from."
},
"title": {
"type": "string",
"description": "Title of the mural."
},
"width": {
"type": "integer",
"description": "Width of the mural canvas in pixels (3000-60000)."
}
},
"required": [
"PCID",
"roomId"
]
}
mural_create_mural_tag
Create a tag Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
muralId | string | Yes | — | The ID of the mural. |
text | string | Yes | — | Tag text/label. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"muralId": {
"type": "string",
"description": "The ID of the mural."
},
"text": {
"type": "string",
"description": "Tag text/label."
}
},
"required": [
"PCID",
"muralId",
"text"
]
}
mural_create_room
Create a room Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
description | string | No | — | Description of the room. |
name | string | Yes | — | Name of the room. |
type | string | Yes | — | Type of room. ‘open’ rooms are visible to all workspace members, ‘private’ rooms are only visible to invited members. |
workspaceId | string | Yes | — | The ID of the workspace to create the room in. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"description": {
"type": "string",
"description": "Description of the room."
},
"name": {
"type": "string",
"description": "Name of the room."
},
"type": {
"type": "string",
"description": "Type of room. 'open' rooms are visible to all workspace members, 'private' rooms are only visible to invited members.",
"enum": [
"open",
"private"
]
},
"workspaceId": {
"type": "string",
"description": "The ID of the workspace to create the room in."
}
},
"required": [
"PCID",
"name",
"type",
"workspaceId"
]
}
mural_create_shape_widget
Create shapes Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
muralId | string | Yes | — | The ID of the mural. |
body | object[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"muralId": {
"type": "string",
"description": "The ID of the mural."
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"x": {
"type": "number",
"description": "X coordinate."
},
"y": {
"type": "number",
"description": "Y coordinate."
},
"width": {
"type": "number",
"description": "Width (default 230)."
},
"height": {
"type": "number",
"description": "Height (default 230)."
},
"text": {
"type": "string",
"description": "Text inside the shape."
},
"style": {
"type": "object",
"description": "The style value"
},
"shape": {
"type": "string",
"enum": [
"rectangle",
"rounded_rectangle",
"circle",
"triangle",
"diamond",
"star",
"heart",
"hexagon",
"octagon",
"arrow_right",
"arrow_left",
"arrow_up",
"arrow_down",
"cloud",
"callout"
],
"description": "Shape type."
},
"hidden": {
"type": "boolean",
"description": "Whether hidden."
},
"parentId": {
"type": "string",
"description": "Parent widget ID."
},
"stackingOrder": {
"type": "number",
"description": "Stacking order."
}
}
},
"description": "Request body"
}
},
"required": [
"PCID",
"muralId",
"body"
]
}
mural_create_sticky_note
Create sticky notes Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
muralId | string | Yes | — | The ID of the mural. |
body | object[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"muralId": {
"type": "string",
"description": "The ID of the mural."
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"x": {
"type": "number",
"description": "X coordinate position on the mural canvas."
},
"y": {
"type": "number",
"description": "Y coordinate position on the mural canvas."
},
"width": {
"type": "number",
"description": "Width of the sticky note (default 230)."
},
"height": {
"type": "number",
"description": "Height of the sticky note (default 230)."
},
"shape": {
"type": "string",
"enum": [
"circle",
"rectangle"
],
"description": "Shape of the sticky note."
},
"style": {
"type": "object",
"description": "Style properties for the sticky note."
},
"text": {
"type": "string",
"description": "Text content of the sticky note (supports limited HTML formatting)."
},
"title": {
"type": "string",
"description": "Title of the sticky note."
},
"hidden": {
"type": "boolean",
"description": "Whether the sticky note is hidden (for private mode)."
},
"parentId": {
"type": "string",
"description": "ID of the parent widget (e.g., an area) to place the sticky note in."
},
"stackingOrder": {
"type": "number",
"description": "Stacking order (z-index) of the sticky note."
}
}
},
"description": "Request body"
}
},
"required": [
"PCID",
"muralId",
"body"
]
}
mural_create_textbox
Create text boxes Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
muralId | string | Yes | — | The ID of the mural. |
body | object[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"muralId": {
"type": "string",
"description": "The ID of the mural."
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"x": {
"type": "number",
"description": "X coordinate."
},
"y": {
"type": "number",
"description": "Y coordinate."
},
"width": {
"type": "number",
"description": "Width."
},
"height": {
"type": "number",
"description": "Height."
},
"text": {
"type": "string",
"description": "Text content (supports HTML formatting)."
},
"style": {
"type": "object",
"description": "The style value"
},
"hidden": {
"type": "boolean",
"description": "Whether hidden."
},
"parentId": {
"type": "string",
"description": "Parent widget ID."
},
"stackingOrder": {
"type": "number",
"description": "Stacking order."
}
}
},
"description": "Request body"
}
},
"required": [
"PCID",
"muralId",
"body"
]
}
mural_create_title
Create title widgets Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
muralId | string | Yes | — | The ID of the mural. |
body | object[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"muralId": {
"type": "string",
"description": "The ID of the mural."
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"x": {
"type": "number",
"description": "X coordinate."
},
"y": {
"type": "number",
"description": "Y coordinate."
},
"text": {
"type": "string",
"description": "Title text."
},
"style": {
"type": "object",
"description": "The style value"
},
"hidden": {
"type": "boolean",
"description": "Whether hidden."
},
"parentId": {
"type": "string",
"description": "Parent widget ID."
},
"stackingOrder": {
"type": "number",
"description": "Stacking order."
}
}
},
"description": "Request body"
}
},
"required": [
"PCID",
"muralId",
"body"
]
}
mural_delete_mural
Delete a mural Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
muralId | string | Yes | — | The ID of the mural. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"muralId": {
"type": "string",
"description": "The ID of the mural."
}
},
"required": [
"PCID",
"muralId"
]
}
mural_delete_room_by_id
Delete a room Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
roomId | integer | Yes | — | The ID of the room. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"roomId": {
"type": "integer",
"description": "The ID of the room."
}
},
"required": [
"PCID",
"roomId"
]
}
mural_delete_tag_by_id
Delete a tag Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
muralId | string | Yes | — | The ID of the mural. |
tagId | string | Yes | — | The ID of the tag to delete. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"muralId": {
"type": "string",
"description": "The ID of the mural."
},
"tagId": {
"type": "string",
"description": "The ID of the tag to delete."
}
},
"required": [
"PCID",
"muralId",
"tagId"
]
}
mural_delete_widget_by_id
Delete a widget Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
muralId | string | Yes | — | The ID of the mural. |
widgetId | string | Yes | — | The ID of the widget to delete. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"muralId": {
"type": "string",
"description": "The ID of the mural."
},
"widgetId": {
"type": "string",
"description": "The ID of the widget to delete."
}
},
"required": [
"PCID",
"muralId",
"widgetId"
]
}
mural_duplicate_mural
Duplicate a mural Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
muralId | string | Yes | — | The ID of the mural to duplicate. |
roomId | integer | Yes | — | The ID of the room to place the duplicate in. |
title | string | Yes | — | Title of the duplicated mural. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"muralId": {
"type": "string",
"description": "The ID of the mural to duplicate."
},
"roomId": {
"type": "integer",
"description": "The ID of the room to place the duplicate in."
},
"title": {
"type": "string",
"description": "Title of the duplicated mural."
}
},
"required": [
"PCID",
"muralId",
"roomId",
"title"
]
}
mural_get_current_member
Get current userShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
mural_get_default_templates
Get default templates Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | integer | No | — | Maximum number of results. |
next | string | No | — | Cursor token for pagination. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"limit": {
"type": "integer",
"description": "Maximum number of results."
},
"next": {
"type": "string",
"description": "Cursor token for pagination."
}
},
"required": [
"PCID"
]
}
mural_get_mural
Get a mural Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
muralId | string | Yes | — | The ID of the mural. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"muralId": {
"type": "string",
"description": "The ID of the mural."
}
},
"required": [
"PCID",
"muralId"
]
}
mural_get_mural_tags
Get mural tags Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
muralId | string | Yes | — | The ID of the mural. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"muralId": {
"type": "string",
"description": "The ID of the mural."
}
},
"required": [
"PCID",
"muralId"
]
}
mural_get_mural_users
Get mural users Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
muralId | string | Yes | — | The ID of the mural. |
limit | integer | No | — | Maximum number of results to return. |
next | string | No | — | Cursor token for pagination. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"muralId": {
"type": "string",
"description": "The ID of the mural."
},
"limit": {
"type": "integer",
"description": "Maximum number of results to return."
},
"next": {
"type": "string",
"description": "Cursor token for pagination."
}
},
"required": [
"PCID",
"muralId"
]
}
mural_get_mural_widget
Get a widget Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
muralId | string | Yes | — | The ID of the mural. |
widgetId | string | Yes | — | The ID of the widget. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"muralId": {
"type": "string",
"description": "The ID of the mural."
},
"widgetId": {
"type": "string",
"description": "The ID of the widget."
}
},
"required": [
"PCID",
"muralId",
"widgetId"
]
}
mural_get_mural_widgets
Get mural widgets Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
muralId | string | Yes | — | The ID of the mural. |
type | string | No | — | Filter by widget type. Comma-separated list of types: sticky-note, area, arrow, image, shape, title, textbox, file, table, comment. |
parentId | string | No | — | Filter by parent widget ID (e.g., to get widgets inside an area). |
limit | integer | No | — | Maximum number of results to return. |
next | string | No | — | Cursor token for pagination. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"muralId": {
"type": "string",
"description": "The ID of the mural."
},
"type": {
"type": "string",
"description": "Filter by widget type. Comma-separated list of types: sticky-note, area, arrow, image, shape, title, textbox, file, table, comment."
},
"parentId": {
"type": "string",
"description": "Filter by parent widget ID (e.g., to get widgets inside an area)."
},
"limit": {
"type": "integer",
"description": "Maximum number of results to return."
},
"next": {
"type": "string",
"description": "Cursor token for pagination."
}
},
"required": [
"PCID",
"muralId"
]
}
mural_get_room_info_by_id
Get a room Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
roomId | integer | Yes | — | The ID of the room. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"roomId": {
"type": "integer",
"description": "The ID of the room."
}
},
"required": [
"PCID",
"roomId"
]
}
mural_get_room_members
Get room members Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
roomId | integer | Yes | — | The ID of the room. |
limit | integer | No | — | Maximum number of results to return. |
next | string | No | — | Cursor token for pagination. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"roomId": {
"type": "integer",
"description": "The ID of the room."
},
"limit": {
"type": "integer",
"description": "Maximum number of results to return."
},
"next": {
"type": "string",
"description": "Cursor token for pagination."
}
},
"required": [
"PCID",
"roomId"
]
}
mural_get_room_murals
Get murals in a room Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
roomId | integer | Yes | — | The ID of the room. |
folderId | string | No | — | Filter by folder ID within the room. |
status | string | No | — | Filter by mural status. |
sortBy | string | No | — | Sort order for the results. |
limit | integer | No | — | Maximum number of results to return. |
next | string | No | — | Cursor token for pagination. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"roomId": {
"type": "integer",
"description": "The ID of the room."
},
"folderId": {
"type": "string",
"description": "Filter by folder ID within the room."
},
"status": {
"type": "string",
"description": "Filter by mural status.",
"enum": [
"active",
"archived"
]
},
"sortBy": {
"type": "string",
"description": "Sort order for the results.",
"enum": [
"lastCreated",
"lastModified",
"oldest"
]
},
"limit": {
"type": "integer",
"description": "Maximum number of results to return."
},
"next": {
"type": "string",
"description": "Cursor token for pagination."
}
},
"required": [
"PCID",
"roomId"
]
}
mural_get_templates_by_workspace
Get workspace templates Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspaceId | string | Yes | — | The ID of the workspace. |
limit | integer | No | — | Maximum number of results. |
next | string | No | — | Cursor token for pagination. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspaceId": {
"type": "string",
"description": "The ID of the workspace."
},
"limit": {
"type": "integer",
"description": "Maximum number of results."
},
"next": {
"type": "string",
"description": "Cursor token for pagination."
}
},
"required": [
"PCID",
"workspaceId"
]
}
mural_get_workspace
Get a workspace Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspaceId | string | Yes | — | The ID of the workspace. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspaceId": {
"type": "string",
"description": "The ID of the workspace."
}
},
"required": [
"PCID",
"workspaceId"
]
}
mural_get_workspace_murals
Get murals in a workspace Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspaceId | string | Yes | — | The ID of the workspace. |
status | string | No | — | Filter by mural status. |
sortBy | string | No | — | Sort order for the results. |
limit | integer | No | — | Maximum number of results to return. |
next | string | No | — | Cursor token for pagination. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspaceId": {
"type": "string",
"description": "The ID of the workspace."
},
"status": {
"type": "string",
"description": "Filter by mural status.",
"enum": [
"active",
"archived"
]
},
"sortBy": {
"type": "string",
"description": "Sort order for the results.",
"enum": [
"lastCreated",
"lastModified",
"oldest"
]
},
"limit": {
"type": "integer",
"description": "Maximum number of results to return."
},
"next": {
"type": "string",
"description": "Cursor token for pagination."
}
},
"required": [
"PCID",
"workspaceId"
]
}
mural_get_workspace_rooms
Get rooms in a workspace Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspaceId | string | Yes | — | The ID of the workspace. |
limit | integer | No | — | Maximum number of results to return. |
next | string | No | — | Cursor token for pagination. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspaceId": {
"type": "string",
"description": "The ID of the workspace."
},
"limit": {
"type": "integer",
"description": "Maximum number of results to return."
},
"next": {
"type": "string",
"description": "Cursor token for pagination."
}
},
"required": [
"PCID",
"workspaceId"
]
}
mural_get_workspaces
Get all workspaces Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | integer | No | — | Maximum number of results to return. |
next | string | No | — | Cursor token for pagination. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"limit": {
"type": "integer",
"description": "Maximum number of results to return."
},
"next": {
"type": "string",
"description": "Cursor token for pagination."
}
},
"required": [
"PCID"
]
}
mural_invite_users_to_mural
Invite users to a mural Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
muralId | string | Yes | — | The ID of the mural. |
invitations | object[] | Yes | — | Array of user invitations. |
message | string | No | — | Optional invitation message. |
sendEmail | boolean | No | — | Whether to send an email notification (default true). |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"muralId": {
"type": "string",
"description": "The ID of the mural."
},
"invitations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"email": {
"type": "string",
"description": "Email address of the user to invite."
},
"editPermission": {
"type": "string",
"enum": [
"view",
"edit"
],
"description": "Edit permission to assign to the invited user."
}
},
"required": [
"email",
"editPermission"
]
},
"description": "Array of user invitations."
},
"message": {
"type": "string",
"description": "Optional invitation message."
},
"sendEmail": {
"type": "boolean",
"description": "Whether to send an email notification (default true)."
}
},
"required": [
"PCID",
"muralId",
"invitations"
]
}
mural_search_murals
Search murals Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspaceId | string | Yes | — | The ID of the workspace to search in. |
q | string | Yes | — | Search query string. |
roomId | integer | No | — | Filter search results to a specific room. |
limit | integer | No | — | Maximum number of results to return. |
next | string | No | — | Cursor token for pagination. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspaceId": {
"type": "string",
"description": "The ID of the workspace to search in."
},
"q": {
"type": "string",
"description": "Search query string."
},
"roomId": {
"type": "integer",
"description": "Filter search results to a specific room."
},
"limit": {
"type": "integer",
"description": "Maximum number of results to return."
},
"next": {
"type": "string",
"description": "Cursor token for pagination."
}
},
"required": [
"PCID",
"workspaceId",
"q"
]
}
mural_search_rooms
Search rooms Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspaceId | string | Yes | — | The ID of the workspace to search in. |
q | string | Yes | — | Search query string. |
limit | integer | No | — | Maximum number of results. |
next | string | No | — | Cursor token for pagination. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspaceId": {
"type": "string",
"description": "The ID of the workspace to search in."
},
"q": {
"type": "string",
"description": "Search query string."
},
"limit": {
"type": "integer",
"description": "Maximum number of results."
},
"next": {
"type": "string",
"description": "Cursor token for pagination."
}
},
"required": [
"PCID",
"workspaceId",
"q"
]
}
mural_update_area
Update an area Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
muralId | string | Yes | — | The ID of the mural. |
widgetId | string | Yes | — | The ID of the area widget. |
height | number | No | — | Height. |
hidden | boolean | No | — | Whether hidden. |
layout | string | No | — | Layout mode. |
showTitle | boolean | No | — | Whether to show title. |
stackingOrder | number | No | — | Stacking order. |
title | string | No | — | Title. |
width | number | No | — | Width. |
x | number | No | — | X coordinate. |
y | number | No | — | Y coordinate. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"muralId": {
"type": "string",
"description": "The ID of the mural."
},
"widgetId": {
"type": "string",
"description": "The ID of the area widget."
},
"height": {
"type": "number",
"description": "Height."
},
"hidden": {
"type": "boolean",
"description": "Whether hidden."
},
"layout": {
"type": "string",
"description": "Layout mode.",
"enum": [
"free",
"column",
"row"
]
},
"showTitle": {
"type": "boolean",
"description": "Whether to show title."
},
"stackingOrder": {
"type": "number",
"description": "Stacking order."
},
"title": {
"type": "string",
"description": "Title."
},
"width": {
"type": "number",
"description": "Width."
},
"x": {
"type": "number",
"description": "X coordinate."
},
"y": {
"type": "number",
"description": "Y coordinate."
}
},
"required": [
"PCID",
"muralId",
"widgetId"
]
}
mural_update_arrow
Update an arrow Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
muralId | string | Yes | — | The ID of the mural. |
widgetId | string | Yes | — | The ID of the arrow widget. |
endWidgetId | string | No | — | End widget ID. |
height | number | No | — | Height of the widget. |
hidden | boolean | No | — | The hidden value |
points | object[] | No | — | Array of points defining the arrow path. |
stackingOrder | number | No | — | Stacking Order |
startWidgetId | string | No | — | Start widget ID. |
style | object | No | — | The style value |
width | number | No | — | Width of the widget. |
x | number | No | — | X coordinate of the widget. |
y | number | No | — | Y coordinate of the widget. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"muralId": {
"type": "string",
"description": "The ID of the mural."
},
"widgetId": {
"type": "string",
"description": "The ID of the arrow widget."
},
"endWidgetId": {
"type": "string",
"description": "End widget ID."
},
"height": {
"type": "number",
"description": "Height of the widget."
},
"hidden": {
"type": "boolean",
"description": "The hidden value"
},
"points": {
"type": "array",
"items": {
"type": "object",
"properties": {
"x": {
"type": "number",
"description": "X coordinate."
},
"y": {
"type": "number",
"description": "Y coordinate."
}
}
},
"description": "Array of points defining the arrow path."
},
"stackingOrder": {
"type": "number",
"description": "Stacking Order"
},
"startWidgetId": {
"type": "string",
"description": "Start widget ID."
},
"style": {
"type": "object",
"description": "The style value",
"properties": {
"color": {
"type": "string",
"description": "The color value"
},
"lineWidth": {
"type": "integer",
"description": "Line Width"
},
"lineStyle": {
"type": "string",
"description": "Line Style",
"enum": [
"solid",
"dashed",
"dotted"
]
}
}
},
"width": {
"type": "number",
"description": "Width of the widget."
},
"x": {
"type": "number",
"description": "X coordinate of the widget."
},
"y": {
"type": "number",
"description": "Y coordinate of the widget."
}
},
"required": [
"PCID",
"muralId",
"widgetId"
]
}
mural_update_comment
Update a comment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
muralId | string | Yes | — | The ID of the mural. |
widgetId | string | Yes | — | The ID of the comment widget. |
hidden | boolean | No | — | The hidden value |
message | string | No | — | Comment text. |
stackingOrder | number | No | — | Stacking Order |
x | number | No | — | X coordinate. |
y | number | No | — | Y coordinate. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"muralId": {
"type": "string",
"description": "The ID of the mural."
},
"widgetId": {
"type": "string",
"description": "The ID of the comment widget."
},
"hidden": {
"type": "boolean",
"description": "The hidden value"
},
"message": {
"type": "string",
"description": "Comment text."
},
"stackingOrder": {
"type": "number",
"description": "Stacking Order"
},
"x": {
"type": "number",
"description": "X coordinate."
},
"y": {
"type": "number",
"description": "Y coordinate."
}
},
"required": [
"PCID",
"muralId",
"widgetId"
]
}
mural_update_mural
Update a mural Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
muralId | string | Yes | — | The ID of the mural. |
backgroundColor | string | No | — | Background color (hex color code). |
favorite | boolean | No | — | Whether to mark the mural as a favorite. |
height | integer | No | — | Height of the mural canvas (3000-60000). |
infinite | boolean | No | — | Whether the mural has an infinite canvas. |
status | string | No | — | Status of the mural. |
title | string | No | — | New title of the mural. |
width | integer | No | — | Width of the mural canvas (3000-60000). |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"muralId": {
"type": "string",
"description": "The ID of the mural."
},
"backgroundColor": {
"type": "string",
"description": "Background color (hex color code)."
},
"favorite": {
"type": "boolean",
"description": "Whether to mark the mural as a favorite."
},
"height": {
"type": "integer",
"description": "Height of the mural canvas (3000-60000)."
},
"infinite": {
"type": "boolean",
"description": "Whether the mural has an infinite canvas."
},
"status": {
"type": "string",
"description": "Status of the mural.",
"enum": [
"active",
"archived"
]
},
"title": {
"type": "string",
"description": "New title of the mural."
},
"width": {
"type": "integer",
"description": "Width of the mural canvas (3000-60000)."
}
},
"required": [
"PCID",
"muralId"
]
}
mural_update_room_by_id
Update a room Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
roomId | integer | Yes | — | The ID of the room. |
description | string | No | — | New description of the room. |
name | string | No | — | New name of the room. |
type | string | No | — | Type of room. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"roomId": {
"type": "integer",
"description": "The ID of the room."
},
"description": {
"type": "string",
"description": "New description of the room."
},
"name": {
"type": "string",
"description": "New name of the room."
},
"type": {
"type": "string",
"description": "Type of room.",
"enum": [
"open",
"private"
]
}
},
"required": [
"PCID",
"roomId"
]
}
mural_update_shape_widget
Update a shape Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
muralId | string | Yes | — | The ID of the mural. |
widgetId | string | Yes | — | The ID of the shape widget. |
height | number | No | — | Height. |
hidden | boolean | No | — | Whether hidden. |
stackingOrder | number | No | — | Stacking order. |
style | object | No | — | The style value |
text | string | No | — | Text content. |
width | number | No | — | Width. |
x | number | No | — | X coordinate. |
y | number | No | — | Y coordinate. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"muralId": {
"type": "string",
"description": "The ID of the mural."
},
"widgetId": {
"type": "string",
"description": "The ID of the shape widget."
},
"height": {
"type": "number",
"description": "Height."
},
"hidden": {
"type": "boolean",
"description": "Whether hidden."
},
"stackingOrder": {
"type": "number",
"description": "Stacking order."
},
"style": {
"type": "object",
"description": "The style value",
"properties": {
"backgroundColor": {
"type": "string",
"description": "Background color."
},
"borderColor": {
"type": "string",
"description": "Border color."
}
}
},
"text": {
"type": "string",
"description": "Text content."
},
"width": {
"type": "number",
"description": "Width."
},
"x": {
"type": "number",
"description": "X coordinate."
},
"y": {
"type": "number",
"description": "Y coordinate."
}
},
"required": [
"PCID",
"muralId",
"widgetId"
]
}
mural_update_sticky_note
Update a sticky note Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
muralId | string | Yes | — | The ID of the mural. |
widgetId | string | Yes | — | The ID of the sticky note widget. |
height | number | No | — | Height of the sticky note. |
hidden | boolean | No | — | Whether the sticky note is hidden. |
parentId | string | No | — | ID of the parent widget. |
stackingOrder | number | No | — | Stacking order. |
style | object | No | — | Style properties. |
text | string | No | — | Text content of the sticky note. |
title | string | No | — | Title of the sticky note. |
width | number | No | — | Width of the sticky note. |
x | number | No | — | X coordinate position. |
y | number | No | — | Y coordinate position. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"muralId": {
"type": "string",
"description": "The ID of the mural."
},
"widgetId": {
"type": "string",
"description": "The ID of the sticky note widget."
},
"height": {
"type": "number",
"description": "Height of the sticky note."
},
"hidden": {
"type": "boolean",
"description": "Whether the sticky note is hidden."
},
"parentId": {
"type": "string",
"description": "ID of the parent widget."
},
"stackingOrder": {
"type": "number",
"description": "Stacking order."
},
"style": {
"type": "object",
"description": "Style properties.",
"properties": {
"backgroundColor": {
"type": "string",
"description": "Background color (hex code)."
},
"fontSize": {
"type": "integer",
"description": "Font size."
},
"textAlign": {
"type": "string",
"description": "Text alignment.",
"enum": [
"left",
"center",
"right"
]
}
}
},
"text": {
"type": "string",
"description": "Text content of the sticky note."
},
"title": {
"type": "string",
"description": "Title of the sticky note."
},
"width": {
"type": "number",
"description": "Width of the sticky note."
},
"x": {
"type": "number",
"description": "X coordinate position."
},
"y": {
"type": "number",
"description": "Y coordinate position."
}
},
"required": [
"PCID",
"muralId",
"widgetId"
]
}
mural_update_textbox
Update a text box Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
muralId | string | Yes | — | The ID of the mural. |
widgetId | string | Yes | — | The ID of the text box widget. |
height | number | No | — | Height. |
hidden | boolean | No | — | Whether hidden. |
stackingOrder | number | No | — | Stacking order. |
style | object | No | — | The style value |
text | string | No | — | Text content. |
width | number | No | — | Width. |
x | number | No | — | X coordinate. |
y | number | No | — | Y coordinate. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"muralId": {
"type": "string",
"description": "The ID of the mural."
},
"widgetId": {
"type": "string",
"description": "The ID of the text box widget."
},
"height": {
"type": "number",
"description": "Height."
},
"hidden": {
"type": "boolean",
"description": "Whether hidden."
},
"stackingOrder": {
"type": "number",
"description": "Stacking order."
},
"style": {
"type": "object",
"description": "The style value",
"properties": {
"backgroundColor": {
"type": "string",
"description": "Background color."
},
"fontSize": {
"type": "integer",
"description": "Font size."
},
"textAlign": {
"type": "string",
"description": "Text Align",
"enum": [
"left",
"center",
"right"
]
}
}
},
"text": {
"type": "string",
"description": "Text content."
},
"width": {
"type": "number",
"description": "Width."
},
"x": {
"type": "number",
"description": "X coordinate."
},
"y": {
"type": "number",
"description": "Y coordinate."
}
},
"required": [
"PCID",
"muralId",
"widgetId"
]
}
mural_update_title
Update a title widget Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
muralId | string | Yes | — | The ID of the mural. |
widgetId | string | Yes | — | The ID of the title widget. |
hidden | boolean | No | — | The hidden value |
stackingOrder | number | No | — | Stacking Order |
style | object | No | — | The style value |
text | string | No | — | Title text. |
x | number | No | — | X coordinate. |
y | number | No | — | Y coordinate. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"muralId": {
"type": "string",
"description": "The ID of the mural."
},
"widgetId": {
"type": "string",
"description": "The ID of the title widget."
},
"hidden": {
"type": "boolean",
"description": "The hidden value"
},
"stackingOrder": {
"type": "number",
"description": "Stacking Order"
},
"style": {
"type": "object",
"description": "The style value",
"properties": {
"fontSize": {
"type": "integer",
"description": "Font Size"
},
"textAlign": {
"type": "string",
"description": "Text Align",
"enum": [
"left",
"center",
"right"
]
}
}
},
"text": {
"type": "string",
"description": "Title text."
},
"x": {
"type": "number",
"description": "X coordinate."
},
"y": {
"type": "number",
"description": "Y coordinate."
}
},
"required": [
"PCID",
"muralId",
"widgetId"
]
}

